Subject: RE: [speechsc] Example in 4.2 does not follow offer/answer rules

From: Dan Burnett <[email-masked]>
Date: Thu, 31 Aug 2006 10:00:21 -0700 (PDT)

Corrected in specification draft -11.

-- Dan

--- "Shanmugham, Saravanan" <[email-masked]> wrote:

> That was the intent. This is bug and will be fixed.
> I just checked section 14.1 where there is a full
> example, and there the
> recognizer is added at the end conforming to the
> offer/answer model.
> 
> Sarvi 
> 
>      -----Original Message-----
>      From: Andrew Wahbe
> [mailto:[email-masked]] 
>      Sent: Thursday, May 11, 2006 11:27 AM
>      To: IETF SPEECHSC (E-mail)
>      Subject: [speechsc] Example in 4.2 does not
> follow 
>      offer/answer rules
>      
>      The multi-step example in Section 4.2 that
> shows a 
>      synthesis-only session established that is then
> "upgraded" 
>      to include a recognizer doesn't seem to follow
> the 
>      offer/answer rules defined in RFC 3264.
>      
>       From Section 8.1 in RFC 3264:
>      
>         New media streams are created by new
> additional media 
>      descriptions
>         below the existing ones, or by reusing the
> "slot" used by an old
>         media stream which had been disabled by
> setting its 
>      port to zero.
>         Reusing its slot means that the new media
> description 
>      replaces the
>         old one, but retains its positioning
> relative to other media
>         descriptions in  the SDP.  New media
> descriptions MUST 
>      appear below
>         any existing media sections. 
>      
>      The example adds the new control m-line for the
> recognizer 
>      between the two existing m-lines. I believe
> that it should 
>      be added at the bottom.
>      
>      Andrew
>      
> 
> _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc
> 

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc